summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJohn Lane2015-06-09 17:36:21 +0100
committerJohn Lane2015-06-09 17:36:21 +0100
commitb53448cc7469419c547c3f129c51f10c19aff4cd (patch)
tree7c7084e918c35b3122fb1752a8f31f4674d3dc5d
downloadaur-b53448cc7469419c547c3f129c51f10c19aff4cd.tar.gz
Initial import
-rw-r--r--.AURINFO26
-rw-r--r--.SRCINFO27
-rw-r--r--PKGBUILD39
3 files changed, 92 insertions, 0 deletions
diff --git a/.AURINFO b/.AURINFO
new file mode 100644
index 00000000000..149abd6cf47
--- /dev/null
+++ b/.AURINFO
@@ -0,0 +1,26 @@
+pkgbase = dvd95-git
+ pkgdesc = A gnome application to convert DVD9 to DVD5
+ pkgver = r90.01dd592
+ pkgrel = 1
+ url = http://dvd95.sourceforge.net/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = gcc
+ makedepends = make
+ depends = cairo
+ depends = cdrkit
+ depends = ffmpeg
+ depends = libgnomeui
+ depends = libdvdread
+ depends = mplayer
+ depends = mencoder
+ depends = intltool
+ depends = libmpeg2
+ optdepends = vlc: video playback and preview
+ provides = dvd95
+ conflicts = dvd95
+ source = dvd95-git::git+http://git.code.sf.net/p/dvd95/code
+
+pkgname = dvd95-git
+
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..48bf8a1129c
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,27 @@
+pkgbase = dvd95-git
+ pkgdesc = A gnome application to convert DVD9 to DVD5
+ pkgver = r90.01dd592
+ pkgrel = 1
+ url = http://dvd95.sourceforge.net/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = gcc
+ makedepends = make
+ depends = cairo
+ depends = cdrkit
+ depends = ffmpeg
+ depends = libgnomeui
+ depends = libdvdread
+ depends = mplayer
+ depends = mencoder
+ depends = intltool
+ depends = libmpeg2
+ optdepends = vlc: video playback and preview
+ provides = dvd95
+ conflicts = dvd95
+ source = dvd95-git::git+http://git.code.sf.net/p/dvd95/code
+ md5sums = SKIP
+
+pkgname = dvd95-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..a192e4bd872
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,39 @@
+# Maintainer: John Lane <archlinux at jelmail dot com>
+
+pkgname=dvd95-git
+pkgver=r90.01dd592
+pkgrel=1
+arch=('i686' 'x86_64')
+pkgdesc="A gnome application to convert DVD9 to DVD5"
+url="http://dvd95.sourceforge.net/"
+license="GPL"
+depends=('cairo' 'cdrkit' 'ffmpeg' 'libgnomeui' 'libdvdread' 'mplayer' 'mencoder' 'intltool' 'libmpeg2')
+makedepends=('gcc' 'make')
+optdepends=('vlc: video playback and preview')
+source=("$pkgname::git+http://git.code.sf.net/p/dvd95/code")
+md5sums=('SKIP')
+provides=('dvd95')
+conflicts=('dvd95')
+
+build() {
+ cd $srcdir/$pkgname
+
+ autoreconf --force --install
+
+ export LIBS+=" -lxml2"
+ ./configure --prefix=/usr
+
+ make || return 1
+}
+
+package() {
+ cd $srcdir/$pkgname
+ make DESTDIR=$pkgdir install
+}
+
+pkgver() {
+ cd "$srcdir/$pkgname"
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+}
+
+# vim:set ts=2 sw=2 et: